curl --request POST \
--url https://api.olostep.com/v1/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "The markdown drops the pricing comparison table; expected all 4 rows.",
"issues": [
"missing_content",
"broken_formatting"
],
"affected_endpoint": "POST /v1/scrapes",
"related_object_id": "scrape_abc1234567",
"url": "https://example.com/pricing"
}
'import requests
url = "https://api.olostep.com/v1/feedbacks"
payload = {
"note": "The markdown drops the pricing comparison table; expected all 4 rows.",
"issues": ["missing_content", "broken_formatting"],
"affected_endpoint": "POST /v1/scrapes",
"related_object_id": "scrape_abc1234567",
"url": "https://example.com/pricing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: 'The markdown drops the pricing comparison table; expected all 4 rows.',
issues: ['missing_content', 'broken_formatting'],
affected_endpoint: 'POST /v1/scrapes',
related_object_id: 'scrape_abc1234567',
url: 'https://example.com/pricing'
})
};
fetch('https://api.olostep.com/v1/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/feedbacks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => 'The markdown drops the pricing comparison table; expected all 4 rows.',
'issues' => [
'missing_content',
'broken_formatting'
],
'affected_endpoint' => 'POST /v1/scrapes',
'related_object_id' => 'scrape_abc1234567',
'url' => 'https://example.com/pricing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/feedbacks"
payload := strings.NewReader("{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/feedbacks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/feedbacks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}"
response = http.request(request)
puts response.read_body{
"object": "feedback",
"id": "feedback_019e70f9-214a-74fc-a1ae-26fd3318be3e",
"category": "<string>",
"issues": [
"<string>"
],
"note": "<string>",
"created_at": "2026-10-23T00:00:00.000Z",
"affected_endpoint": "<string>",
"related_object_id": "<string>",
"url": "<string>"
}Invia Feedback
Dicci quando l’API ha commesso un errore. Non costa crediti.
curl --request POST \
--url https://api.olostep.com/v1/feedbacks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "The markdown drops the pricing comparison table; expected all 4 rows.",
"issues": [
"missing_content",
"broken_formatting"
],
"affected_endpoint": "POST /v1/scrapes",
"related_object_id": "scrape_abc1234567",
"url": "https://example.com/pricing"
}
'import requests
url = "https://api.olostep.com/v1/feedbacks"
payload = {
"note": "The markdown drops the pricing comparison table; expected all 4 rows.",
"issues": ["missing_content", "broken_formatting"],
"affected_endpoint": "POST /v1/scrapes",
"related_object_id": "scrape_abc1234567",
"url": "https://example.com/pricing"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: 'The markdown drops the pricing comparison table; expected all 4 rows.',
issues: ['missing_content', 'broken_formatting'],
affected_endpoint: 'POST /v1/scrapes',
related_object_id: 'scrape_abc1234567',
url: 'https://example.com/pricing'
})
};
fetch('https://api.olostep.com/v1/feedbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olostep.com/v1/feedbacks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => 'The markdown drops the pricing comparison table; expected all 4 rows.',
'issues' => [
'missing_content',
'broken_formatting'
],
'affected_endpoint' => 'POST /v1/scrapes',
'related_object_id' => 'scrape_abc1234567',
'url' => 'https://example.com/pricing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.olostep.com/v1/feedbacks"
payload := strings.NewReader("{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.olostep.com/v1/feedbacks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olostep.com/v1/feedbacks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"The markdown drops the pricing comparison table; expected all 4 rows.\",\n \"issues\": [\n \"missing_content\",\n \"broken_formatting\"\n ],\n \"affected_endpoint\": \"POST /v1/scrapes\",\n \"related_object_id\": \"scrape_abc1234567\",\n \"url\": \"https://example.com/pricing\"\n}"
response = http.request(request)
puts response.read_body{
"object": "feedback",
"id": "feedback_019e70f9-214a-74fc-a1ae-26fd3318be3e",
"category": "<string>",
"issues": [
"<string>"
],
"note": "<string>",
"created_at": "2026-10-23T00:00:00.000Z",
"affected_endpoint": "<string>",
"related_object_id": "<string>",
"url": "<string>"
}id dell’oggetto da cui proviene e possiamo risalire alla richiesta esatta.
L’invio di feedback è gratuito e funziona anche quando i crediti del tuo team sono esauriti.
Cosa inviare
| Campo | Obbligatorio | Note |
|---|---|---|
category | sì | Uno tra output_quality, reliability, performance, documentation, api_usability, feature_gap, other |
note | sì | Cosa è andato storto e cosa ti aspettavi invece, fino a 4.000 caratteri |
issues | no | Fino a 20 codici sintomo in snake_case, come missing_content o timeout. I codici documentati sono elencati nello schema; qualsiasi altro codice con la stessa forma è accettato |
affected_endpoint | no | METHOD /path, ad esempio POST /v1/scrapes |
related_object_id | no | L’id dello scrape, batch, crawl, answer, o altro oggetto di cui il feedback riguarda, o l’error_… id quando la chiamata è fallita |
url | no | La pagina di cui il feedback riguarda, come l’URL che è stato scrappato |
Esempio
curl -X POST https://api.olostep.com/v1/feedbacks \
-H "Authorization: Bearer <your_token>" \
-H "Content-Type: application/json" \
-d '{
"category": "output_quality",
"issues": ["missing_content", "broken_formatting"],
"note": "Il markdown omette la tabella di confronto dei prezzi; ci si aspettava tutte e 4 le righe.",
"affected_endpoint": "POST /v1/scrapes",
"related_object_id": "scrape_abc1234567",
"url": "https://example.com/pricing"
}'
feedback memorizzato con il suo id e created_at. Non esiste ancora un endpoint per elencare o ottenere; il feedback viene letto dalla nostra parte.Autorizzazioni
Header di autenticazione Bearer nella forma Bearer , dove è il tuo token di autenticazione.
Corpo
Il motivo principale del feedback.
output_quality, reliability, performance, documentation, api_usability, feature_gap, other Cosa è andato storto e cosa ti aspettavi invece.
1 - 4000"The markdown drops the pricing comparison table; expected all 4 rows."
Sintomi specifici, come codici in snake_case minuscolo. Codici documentati: missing_content, incorrect_content, incomplete_content, broken_formatting, irrelevant_results, duplicate_results, stale_content, request_failed, timeout, slow_response, inconsistent_result, docs_mismatch, broken_example, confusing_schema, confusing_error, unsupported_website, unsupported_format. Qualsiasi altro codice della stessa forma è accettato.
20^[a-z0-9](?:[a-z0-9_]{0,78}[a-z0-9])?$["missing_content", "broken_formatting"]
L'endpoint a cui si riferisce il feedback, come METHOD /path con il percorso plurale canonico.
1 - 200"POST /v1/scrapes"
L'id dell'oggetto restituito dall'API a cui si riferisce il feedback: un id di risorsa come scrape_…, batch_… o simile, o l'id dell'oggetto errore (error_…) quando la chiamata è fallita.
1 - 128"scrape_abc1234567"
La pagina a cui si riferisce il feedback, come l'URL che è stato scrappato.
2048"https://example.com/pricing"
Risposta
Il feedback memorizzato.
feedback "feedback_019e70f9-214a-74fc-a1ae-26fd3318be3e"
"2026-10-23T00:00:00.000Z"
Questa pagina è stata utile?